<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
  
  OsCommerce plugin developed by Fedon Dimopoulos, fedondimopoulos@gmail.com
  Using Malsup's Jquery corner plugin (http://jquery.malsup.com/corner/)
  The Jquery plugin was originally written by Dave Methvin (http://methvin.com/jquery/jq-corner.html)
  The Jquery project is now hosted on github (http://github.com/malsup/corner)
*/

  class ht_malsup_jquery_corner {
    var $code = 'ht_malsup_jquery_corner';
    var $group = 'header_tags';
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function ht_malsup_jquery_corner() {
      $this->title = MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_TITLE;
      $this->description = MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_DESCRIPTION;

      if ( defined('MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_STATUS') ) {
        $this->sort_order = MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_SORT_ORDER;
        $this->enabled = (MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_STATUS == 'True');
      }
    }

    function execute() {
      global $PHP_SELF, $oscTemplate, $customer_id;

      if (MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_JS_PLACEMENT != 'Header') {
        $this->group = 'footer_scripts';
      }

      $header = '
        <!--[if lt IE 9]>
        <script type="text/javascript" src="ext/jquery/corner/jquery.corner.js"></script>
        <script type="text/javascript">
          $(".ui-corner-all").corner("5px 5px 5px 5px");
          $(".ui-corner-top").corner("top 5px");
        </script>
        <![endif]-->
      ';

      $oscTemplate->addBlock($header, $this->group);
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_STATUS');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Malsup Jquery Corner Plugin Module', 'MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_STATUS', 'True', 'Do you want to add Malsup Jquery Corner Plugin to your shop?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Javascript Placement', 'MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_JS_PLACEMENT', 'Header', 'Should the corner emulation javascript for Internet Explorer version 8 and below be loaded in the header or footer?', '6', '1', 'tep_cfg_select_option(array(\'Header\', \'Footer\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '0', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_STATUS', 'MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_JS_PLACEMENT', 'MODULE_HEADER_TAGS_MALSUP_JQUERY_CORNER_SORT_ORDER');
    }
  }
?>
